\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris3,, xstep=1cm,ystep=1cm] (-4,-4) grid (5,2);
\clip(-4,-4) rectangle (5,2);
\draw [line width=1.5pt,color=B2] (-3,1)-- (-2,0);
\draw [line width=1.5pt,color=B2] (-2,0)-- (-1,1);
\draw [line width=1.5pt,color=B2] (-1,1)-- (-1,-1);
\draw [line width=1.5pt,color=B2] (-1,-1)-- (-2,-3);
\draw [line width=1.5pt,color=B2] (-2,-3)-- (-3,-1);
\draw [line width=1.5pt,color=B2] (-3,-1)-- (-3,1);
\draw [->,line width=1.5pt] (2,1) -- (4,-3);
\begin{Large}
\draw (3.75,-1) node[anchor=center] {$\overrightarrow{u}$};
\end{Large}
\draw [fill=black] (0,-1) circle (2.5pt);
\draw[color=black] (0.16,-0.58) node {$R$};
\draw [fill=black] (1,-3) circle (2.5pt);
\draw[color=black] (1.16,-2.58) node {$S$};
\end{tikzpicture}
\end{document}